Page MenuHomePhabricator

Support API certificate authentication
Closed, ResolvedPublic2 Story Points

Description

We have "signature" authentication, but need to write code to support certificate authentication for the production account.

Event Timeline

awight created this task.Jun 1 2016, 8:44 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptJun 1 2016, 8:44 PM
awight claimed this task.

Change 292272 had a related patch set uploaded (by Awight):
Wrap gateway URL in an accessor function

https://gerrit.wikimedia.org/r/292272

Change 292296 had a related patch set uploaded (by Awight):
[WIP] Support certificate authentication

https://gerrit.wikimedia.org/r/292296

Change 292272 merged by jenkins-bot:
Wrap gateway URL in an accessor function and clean up redirect logic

https://gerrit.wikimedia.org/r/292272

Change 292296 merged by jenkins-bot:
Support certificate authentication

https://gerrit.wikimedia.org/r/292296

awight moved this task from Pending Deployment to Done on the Fundraising Sprint Killing Time board.
awight added a subtask: Restricted Task.
awight renamed this task from Support API certificate method to Support API certificate authentication.Jun 8 2016, 3:50 AM
awight closed this task as Resolved.
awight closed subtask Restricted Task as Resolved.Jun 14 2016, 8:58 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:54 PM